karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Pieber <anpie...@gmail.com>
Subject Re: Karaf 2.2.x and java7
Date Tue, 02 Aug 2011 07:16:39 GMT
Yep. This does the trick. I'll create the issue and push the patch. That way
2.2.3 will at least run again on java7.

Thanks and kind regards,
Andreas

On Mon, Aug 1, 2011 at 23:46, Guillaume Nodet <gnodet@gmail.com> wrote:

> What if you just hack the jre.properties to duplicate the packages
> from jre 1.6 to jre 1.7 ?
>
> On Mon, Aug 1, 2011 at 22:59, Andreas Pieber <anpieber@gmail.com> wrote:
> > OK, before we get a flood of mails on the user list I think we should at
> > least all know what to answer :-)
> >
> > My Archlinux surprised me this morning with java 1.7.... And as Jamie
> > pointed out already it is not compatible with karaf 2.2. It simply
> doesn't
> > start... AFAIK Jamies last report was that he cleaned up the karaf code
> but
> > got stuck at some other libs. While I have no problem compiling 2.2.x
> with
> > java5 and the master with java6 it would be quite nice to be able to run
> > them with java7. So...
> >
> > A) is there any chance to get 2.2.3 running with java7?
> > B) what do we habe to do? Is there a place we can help?
> >
> > Kind regards, Andreas
> >
>
>
>
> --
> ------------------------
> Guillaume Nodet
> ------------------------
> Blog: http://gnodet.blogspot.com/
> ------------------------
> Open Source SOA
> http://fusesource.com
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message